

/////////////////////////////////////////////////////////////////////////////////////////////////
// %1 = Victim's name                                                                          //
// %2 = Victim's gender (value will be either "him" or "her")                                  //
// %3 = Victim's possessive gender	(value will be either "his" or "her")                  //
// %4 = Killer's name                                                                          //
// %5 = Killer's gender (value will be either "him" or "her")                                  //
// %6 = Killer's possessive gender (value will be either "his" or "her")                       //
// %7 = implement that killed the victim (value is the object number of the bullet, disc, etc) //
/////////////////////////////////////////////////////////////////////////////////////////////////

$DeathMessageCampingCount = 1;
$DeathMessageCamping[0] = '\c0%1 was killed for camping near the Nexus.';
																						   
 //Out of Bounds deaths
$DeathMessageOOBCount = 1;
$DeathMessageOOB[0] = '\c0%1 was killed for loitering outside the mission area.';

$DeathMessageLavaCount = 6;
$DeathMessageLava[0] = '\c0%1\'s last thought before falling into the lava : \'Oops\'.';
$DeathMessageLava[1] = '\c0%1 makes the supreme sacrifice to the lava gods.';
$DeathMessageLava[2] = '\c0%1 looks surprised by the lava - but only briefly.';
$DeathMessageLava[3] = '\c0%1 wimps out by jumping into the lava and trying to make it look like an accident.'; 
$DeathMessageLava[4] = '\c0%1 goes for a swim in molten rock.';
$DeathMessageLava[5] = '\c0%1 is burned alive in a magma flow.';

$DeathMessageLightningCount = 7;
$DeathMessageLightning[0] = '\c0%1 was killed by lightning!';
$DeathMessageLightning[1] = '\c0%1 caught a lightning bolt!';
$DeathMessageLightning[2] = '\c0%1 stuck %3 finger in Mother Nature\'s light socket.';
$DeathMessageLightning[3] = '\c0%1 finds lightning to be a shocking experience!';
$DeathMessageLightning[4] = '\c0%1 is lit up like a neon sign by lightning.';
$DeathMessageLightning[5] = '\c0%1 is fried by millions of volts of lightning.';
$DeathMessageLightning[6] = '\c0%1 is electrified by his contact with lightning.';

//these used when a player presses ctrl-k
$DeathMessageSuicideCount = 6;
$DeathMessageSuicide[0] = '\c0%1 blows %3 own head off!';  
$DeathMessageSuicide[1] = '\c0%1 ends it all. Cue violin music.';
$DeathMessageSuicide[2] = '\c0%1 kills %2self.';
$DeathMessageSuicide[3] = '\c0%1 goes for the quick and dirty respawn.';
$DeathMessageSuicide[4] = '\c0%1 self-destructs in a fit of ennui.';
$DeathMessageSuicide[5] = '\c0%1 has a self-induced annurism.';

$DeathMessageVehPadCount = 4;
$DeathMessageVehPad[0] = '\c0%1 got caught in a vehicle\'s spawn field.'; 
$DeathMessageVehPad[1] = '\c0%1 stood too close to the center of the vehicle pad.'; 
$DeathMessageVehPad[2] = '\c0%1 is now one with a freshly spawned vehicle.'; 
$DeathMessageVehPad[3] = '\c0%1 spread himself all over a vehicle pad.'; 

//these used when a player kills himself (other than by using ctrl - k)
$DeathMessageSelfKillCount = 5;
$DeathMessageSelfKill[$DamageType::Blaster, 0] = '\c0%1 kills %2self with a blaster.';	
$DeathMessageSelfKill[$DamageType::Blaster, 1] = '\c0%1 makes a note to watch out for blaster ricochets.';
$DeathMessageSelfKill[$DamageType::Blaster, 2] = '\c0%1\'s blaster kills its hapless owner.';
$DeathMessageSelfKill[$DamageType::Blaster, 3] = '\c0%1 deftly guns %2self down with %3 own blaster.';
$DeathMessageSelfKill[$DamageType::Blaster, 4] = '\c0%1 has a fatal encounter with %3 own blaster.';

$DeathMessageSelfKill[$DamageType::Plasma, 0] = '\c0%1 kills %2self with plasma.';
$DeathMessageSelfKill[$DamageType::Plasma, 1] = '\c0%1 turns %2self into plasma-charred briquettes.';
$DeathMessageSelfKill[$DamageType::Plasma, 2] = '\c0%1 swallows a white-hot mouthful of %3 own plasma.';
$DeathMessageSelfKill[$DamageType::Plasma, 3] = '\c0%1 immolates %2self.';
$DeathMessageSelfKill[$DamageType::Plasma, 4] = '\c0%1 experiences the joy of cooking %2self.';

$DeathMessageSelfKill[$DamageType::Disc, 0] = '\c0%1 kills %2self with a disc.';
$DeathMessageSelfKill[$DamageType::Disc, 1] = '\c0%1 catches %3 own spinfusor disc.';
$DeathMessageSelfKill[$DamageType::Disc, 2] = '\c0%1 heroically falls on %3 own disc.';
$DeathMessageSelfKill[$DamageType::Disc, 3] = '\c0%1 helpfully jumps into %3 own disc\'s explosion.';
$DeathMessageSelfKill[$DamageType::Disc, 4] = '\c0%1 plays Russian roulette with %3 spinfusor.';

$DeathMessageSelfKill[$DamageType::Grenade, 0] = '\c0%1 destroys %2self with a grenade!';   //applies to hand grenades *and* grenade launcher grenades
$DeathMessageSelfKill[$DamageType::Grenade, 1] = '\c0%1 took a bad bounce from %3 own grenade!';
$DeathMessageSelfKill[$DamageType::Grenade, 2] = '\c0%1 pulled the pin a shade early.';
$DeathMessageSelfKill[$DamageType::Grenade, 3] = '\c0%1\'s own grenade turns on %2.';
$DeathMessageSelfKill[$DamageType::Grenade, 4] = '\c0%1 blows %2self up real good.';

$DeathMessageSelfKill[$DamageType::Mortar, 0] = '\c0%1 kills %2self with a mortar!';
$DeathMessageSelfKill[$DamageType::Mortar, 1] = '\c0%1 hugs %3 own big green boomie.';
$DeathMessageSelfKill[$DamageType::Mortar, 2] = '\c0%1 mortars %2self all over the map.';
$DeathMessageSelfKill[$DamageType::Mortar, 3] = '\c0%1 experiences %3 mortar\'s payload up close.';
$DeathMessageSelfKill[$DamageType::Mortar, 4] = '\c0%1 suffered the wrath of %3 own mortar.';

$DeathMessageSelfKill[$DamageType::Missile, 0] = '\c0%1 kills %2self with a missile!';
$DeathMessageSelfKill[$DamageType::Missile, 1] = '\c0%1 runs a missile up %3 own tailpipe.';
$DeathMessageSelfKill[$DamageType::Missile, 2] = '\c0%1 tests the missile\'s shaped charge on %2self.';
$DeathMessageSelfKill[$DamageType::Missile, 3] = '\c0%1 achieved missile lock on %2self.';
$DeathMessageSelfKill[$DamageType::Missile, 4] = '\c0%1 gracefully smoked %2self with a missile!';

$DeathMessageSelfKill[$DamageType::Mine, 0] = '\c0%1 kills %2self with a mine!';
$DeathMessageSelfKill[$DamageType::Mine, 1] = '\c0%1\'s mine violently reminds %2 of its existence.';
$DeathMessageSelfKill[$DamageType::Mine, 2] = '\c0%1 plants a decisive foot on %3 own mine!';
$DeathMessageSelfKill[$DamageType::Mine, 3] = '\c0%1 fatally trips on %3 own mine!';
$DeathMessageSelfKill[$DamageType::Mine, 4] = '\c0%1 makes a note not to run over %3 own mines.';

$DeathMessageSelfKill[$DamageType::SatchelCharge, 0] = '\c0%1 goes out with a bang!';  //applies to most explosion types
$DeathMessageSelfKill[$DamageType::SatchelCharge, 1] = '\c0%1 fall down...go boom.';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 2] = '\c0%1 explodes in that fatal kind of way.';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 3] = '\c0%1 experiences explosive decompression!';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 4] = '\c0%1 splashes all over the map.';

$DeathMessageSelfKill[$DamageType::Ground, 0] = '\c0%1 lands too hard.';
$DeathMessageSelfKill[$DamageType::Ground, 1] = '\c0%1 finds gravity unforgiving.';
$DeathMessageSelfKill[$DamageType::Ground, 2] = '\c0%1 craters on impact.';
$DeathMessageSelfKill[$DamageType::Ground, 3] = '\c0%1 takes a fatal leg-crunch.';
$DeathMessageSelfKill[$DamageType::Ground, 4] = '\c0%1 loses a game of chicken with the ground.';

$DeathMessageSelfKill[$DamageType::Railgun, 0] = '\c0%1 nails %2self with the railgun.';
$DeathMessageSelfKill[$DamageType::Railgun, 1] = '\c0%1 tries shooting a railgun too close.';
$DeathMessageSelfKill[$DamageType::Railgun, 2] = '\c0%1 looked in the wrong end of %3 railgun.';
$DeathMessageSelfKill[$DamageType::Railgun, 3] = '\c0%1 is punctured by %3 own railgun.';
$DeathMessageSelfKill[$DamageType::Railgun, 4] = '\c0%1 is derailed by %3 railgun.';

$DeathMessageSelfKill[$DamageType::Torpedo, 0] = '\c0%1 destroys %2self with a photon torpedo.';
$DeathMessageSelfKill[$DamageType::Torpedo, 1] = '\c0%1 snuggled closely with %3 torpedo gun.';
$DeathMessageSelfKill[$DamageType::Torpedo, 2] = '\c0%1 sucked the end of %3 photon torpedo.';
$DeathMessageSelfKill[$DamageType::Torpedo, 3] = '\c0%1 realizes that photon torpedoes hurt.';
$DeathMessageSelfKill[$DamageType::Torpedo, 4] = '\c0%1 is blown to pieces by %3 own torpedo launcher.';

$DeathMessageSelfKill[$DamageType::Explosion, 0] = '\c0%1 obliterates %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 1] = '\c0%1 punctures %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 2] = '\c0%1 annihilates %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 3] = '\c0%1 destroys %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 4] = '\c0%1 kills %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 5] = '\c0%1 mutilates %2self.';
$DeathMessageSelfKill[$DamageType::Explosion, 6] = '\c0%1 splatters %2self.';

$DeathMessageSelfKill[$DamageType::Default, 0] = '\c0%1 obliterates %2self.';
$DeathMessageSelfKill[$DamageType::Default, 1] = '\c0%1 punctures %2self.';
$DeathMessageSelfKill[$DamageType::Default, 2] = '\c0%1 annihilates %2self.';
$DeathMessageSelfKill[$DamageType::Default, 3] = '\c0%1 destroys %2self.';
$DeathMessageSelfKill[$DamageType::Default, 4] = '\c0%1 kills %2self.';
$DeathMessageSelfKill[$DamageType::Default, 5] = '\c0%1 mutilates %2self.';
$DeathMessageSelfKill[$DamageType::Default, 6] = '\c0%1 splatters %2self.';

$DeathMessageSelfKill[$DamageType::Finger, 0] = '\c0%1 is destroyed by the godly finger.';
$DeathMessageSelfKill[$DamageType::Finger, 1] = '\c0%1 is squished by the godly finger.';
$DeathMessageSelfKill[$DamageType::Finger, 2] = '\c0%1 is splattered by the godly finger.';
$DeathMessageSelfKill[$DamageType::Finger, 3] = '\c0%1 is blasted by the godly finger.';
$DeathMessageSelfKill[$DamageType::Finger, 4] = '\c0%1 is killed by the godly finger.';


//used when a player is killed by a teammate 
$DeathMessageTeamKillCount = 1;	
$DeathMessageTeamKill[$DamageType::Blaster, 0] = '\c0%4 TEAMKILLED %1 with a blaster!';
$DeathMessageTeamKill[$DamageType::Plasma, 0] = '\c0%4 TEAMKILLED %1 with a plasma rifle!';
$DeathMessageTeamKill[$DamageType::Bullet, 0] = '\c0%4 TEAMKILLED %1 with a chaingun!';
$DeathMessageTeamKill[$DamageType::Disc, 0] = '\c0%4 TEAMKILLED %1 with a spinfusor!';
$DeathMessageTeamKill[$DamageType::Grenade, 0] = '\c0%4 TEAMKILLED %1 with a grenade!';
$DeathMessageTeamKill[$DamageType::Laser, 0] = '\c0%4 TEAMKILLED %1 with a laser rifle!';
$DeathMessageTeamKill[$DamageType::Elf, 0] = '\c0%4 TEAMKILLED %1 with an ELF projector!';
$DeathMessageTeamKill[$DamageType::Mortar, 0] = '\c0%4 TEAMKILLED %1 with a mortar!';
$DeathMessageTeamKill[$DamageType::Missile, 0] = '\c0%4 TEAMKILLED %1 with a missile!';
$DeathMessageTeamKill[$DamageType::Shocklance, 0] = '\c0%4 TEAMKILLED %1 with a shocklance!';
$DeathMessageTeamKill[$DamageType::Mine, 0] = '\c0%1 STUPIDLY put his foot on teammate %4\'s mine!';
$DeathMessageTeamKill[$DamageType::SatchelCharge, 0] = '\c0%4 blew up TEAMMATE %1!';
$DeathMessageTeamKill[$DamageType::Impact, 0] = '\c0%4 runs down TEAMMATE %1!';
$DeathMessageTeamKill[$DamageType::Explosion, 0] = '\c0%4 blows up TEAMMATE %1!';
$DeathMessageTeamKill[$DamageType::Default, 0] = '\c0%4 kills TEAMMATE %1!';
$DeathMessageTeamKill[$DamageType::RifleBullet, 0] = '\c0%4 kills TEAMMATE %1 with a rifle!';



//these used when a player is killed by an enemy
$DeathMessageCount = 7;
$DeathMessage[$DamageType::Blaster, 0] = '\c0%4 kills %1 with a blaster.';
$DeathMessage[$DamageType::Blaster, 1] = '\c0%4 pings %1 to death.';
$DeathMessage[$DamageType::Blaster, 2] = '\c0%1 gets a pointer in blaster use from %4.';
$DeathMessage[$DamageType::Blaster, 3] = '\c0%4 fatally embarrasses %1 with %6 pea shooter.';
$DeathMessage[$DamageType::Blaster, 4] = '\c0%4 unleashes a terminal blaster barrage into %1.';
$DeathMessage[$DamageType::Blaster, 5] = '\c0%4 drops %1 with %6 master-blaster.';
$DeathMessage[$DamageType::Blaster, 6] = '\c0%4 gives %1 a blast with the blaster.';

$DeathMessage[$DamageType::Plasma, 0] = '\c0%4 roasts %1 with the plasma rifle.';
$DeathMessage[$DamageType::Plasma, 1] = '\c0%4 gooses %1 with an extra-friendly burst of plasma.';
$DeathMessage[$DamageType::Plasma, 2] = '\c0%4 entices %1 to try a faceful of plasma.';
$DeathMessage[$DamageType::Plasma, 3] = '\c0%4 introduces %1 to the plasma immolation dance.';
$DeathMessage[$DamageType::Plasma, 4] = '\c0%4 slaps The Hot Kiss of Death on %1.';
$DeathMessage[$DamageType::Plasma, 5] = '\c0%4 asks %1 \'Got Plasma?\'';
$DeathMessage[$DamageType::Plasma, 6] = '\c0%4 gives %1 a plasma transfusion.';

$DeathMessage[$DamageType::Bullet, 0] = '\c0%4 rips %1 up with the chaingun.';
$DeathMessage[$DamageType::Bullet, 1] = '\c0%4 happily chews %1 into pieces with %6 chaingun.';
$DeathMessage[$DamageType::Bullet, 2] = '\c0%4 administers a dose of Vitamin Lead to %1.';
$DeathMessage[$DamageType::Bullet, 3] = '\c0%1 suffers a serious hosing from %4\'s chaingun.';
$DeathMessage[$DamageType::Bullet, 4] = '\c0%4 bestows the blessings of %6 chaingun on %1.';
$DeathMessage[$DamageType::Bullet, 5] = '\c0%4 drills little holes through %1.';
$DeathMessage[$DamageType::Bullet, 6] = '\c0%4 turns %1 into swiss cheese with a chaingun.';

$DeathMessage[$DamageType::RifleBullet, 0] = '\c0%4 rips %1 up with a rifle.';
$DeathMessage[$DamageType::RifleBullet, 1] = '\c0%4 happily chews %1 into pieces with %6 rifle.';
$DeathMessage[$DamageType::RifleBullet, 2] = '\c0%4 administers a dose of Vitamin Lead to %1.';
$DeathMessage[$DamageType::RifleBullet, 3] = '\c0%1 suffers a serious hosing from %4\'s rifle.';
$DeathMessage[$DamageType::RifleBullet, 4] = '\c0%4 bestows the blessings of %6 rifle on %1.';
$DeathMessage[$DamageType::RifleBullet, 5] = '\c0%4 drills little holes through %1.';
$DeathMessage[$DamageType::RifleBullet, 6] = '\c0%4 turns %1 into swiss cheese with a rifle.';

$DeathMessage[$DamageType::Disc, 0] = '\c0%4 demolishes %1 with the spinfusor.';
$DeathMessage[$DamageType::Disc, 1] = '\c0%4 serves %1 a blue plate special.';
$DeathMessage[$DamageType::Disc, 2] = '\c0%4 shares a little blue friend with %1.';
$DeathMessage[$DamageType::Disc, 3] = '\c0%4 puts a little spin into %1.';
$DeathMessage[$DamageType::Disc, 4] = '\c0%1 becomes one of %4\'s greatest hits.';
$DeathMessage[$DamageType::Disc, 5] = '\c0%1 catches a frisbee of death thrown by %4.';
$DeathMessage[$DamageType::Disc, 6] = '\c0%1 is engulfed by a blue-light special from %4\'s spinfusor.';

$DeathMessage[$DamageType::Grenade, 0] = '\c0%4 eliminates %1 with a grenade.';   //applies to hand grenades *and* grenade launcher grenades
$DeathMessage[$DamageType::Grenade, 1] = '\c0%4 blows up %1 real good!';
$DeathMessage[$DamageType::Grenade, 2] = '\c0%1 gets annihilated by %4\'s grenade.';
$DeathMessage[$DamageType::Grenade, 3] = '\c0%1 receives a kaboom lesson from %4.';
$DeathMessage[$DamageType::Grenade, 4] = '\c0%4 turns %1 into grenade salad.'; 
$DeathMessage[$DamageType::Grenade, 5] = '\c0%4 forcefeeds %1 an explosive pineapple.'; 
$DeathMessage[$DamageType::Grenade, 6] = '\c0%4 flings a holy hand-grenade onto %1.'; 

$DeathMessage[$DamageType::Laser, 0] = '\c0%1 becomes %4\'s latest pincushion.';
$DeathMessage[$DamageType::Laser, 1] = '\c0%4 picks off %1 with %6 laser rifle.';
$DeathMessage[$DamageType::Laser, 2] = '\c0%4 uses %1 as the targeting dummy in a sniping demonstration.';						
$DeathMessage[$DamageType::Laser, 3] = '\c0%4 pokes a shiny new hole in %1 with %6 laser rifle.';
$DeathMessage[$DamageType::Laser, 4] = '\c0%4 caresses %1 with a couple hundred megajoules of laser.';
$DeathMessage[$DamageType::Laser, 5] = '\c0%1 stayed in %4\'s crosshairs too long.';
$DeathMessage[$DamageType::Laser, 6] = '\c0%1 gets hit with a little long-range death shot by %4.';

$DeathMessage[$DamageType::Elf, 0] = '\c0%4 fries %1 with the ELF projector.';
$DeathMessage[$DamageType::Elf, 1] = '\c0%4 bug zaps %1 with %6 ELF.';
$DeathMessage[$DamageType::Elf, 2] = '\c0%1 learns the shocking truth about %4\'s ELF skills.';
$DeathMessage[$DamageType::Elf, 3] = '\c0%4 electrocutes %1 without a sponge.';
$DeathMessage[$DamageType::Elf, 4] = '\c0%4\'s ELF projector leaves %1 a crispy critter.';
$DeathMessage[$DamageType::Elf, 5] = '\c0%4\'s ELF projector provides %1 with an electrifying experience.';
$DeathMessage[$DamageType::Elf, 6] = '\c0%1 gets a charge out of %4\'s ELF gun.';

$DeathMessage[$DamageType::Mortar, 0] = '\c0%4 obliterates %1 with the mortar.';
$DeathMessage[$DamageType::Mortar, 1] = '\c0%4 drops a mortar round right in %1\'s lap.';
$DeathMessage[$DamageType::Mortar, 2] = '\c0%4 delivers a mortar payload straight to %1.';
$DeathMessage[$DamageType::Mortar, 3] = '\c0%4 offers a little "heavy love" to %1.';
$DeathMessage[$DamageType::Mortar, 4] = '\c0%1 stumbles into %4\'s mortar reticle.';
$DeathMessage[$DamageType::Mortar, 5] = '\c0%4 reduces %1 to tiny bits with a mortar.';
$DeathMessage[$DamageType::Mortar, 6] = '\c0%4 bestows a green smoking gift upon %1.';

$DeathMessage[$DamageType::Missile, 0] = '\c0%4 asks %1 \'Got Tone?\'';
$DeathMessage[$DamageType::Missile, 1] = '\c0%4 watches %6 missile touch %1 and go boom.';
$DeathMessage[$DamageType::Missile, 2] = '\c0%4 got sweet tone on %1.';
$DeathMessage[$DamageType::Missile, 3] = '\c0By now, %1 has realized %4\'s missile killed %2.';
$DeathMessage[$DamageType::Missile, 4] = '\c0%4\'s missile rains little pieces of %1 all over the ground.';
$DeathMessage[$DamageType::Missile, 5] = '\c0%1 sucked down a missile launched by %4.';
$DeathMessage[$DamageType::Missile, 6] = '\c0%1 takes a missile up the ass from %4, and likes it.';

$DeathMessage[$DamageType::Shocklance, 0] = '\c0%4 reaps a harvest of %1 with the shocklance.';
$DeathMessage[$DamageType::Shocklance, 1] = '\c0%4 feeds %1 the business end of %6 shocklance.';
$DeathMessage[$DamageType::Shocklance, 2] = '\c0%4 stops %1 dead with the shocklance.';
$DeathMessage[$DamageType::Shocklance, 3] = '\c0%4 eliminates %1 in close combat.';
$DeathMessage[$DamageType::Shocklance, 4] = '\c0%4 ruins %1\'s day with one zap of a shocklance.';
$DeathMessage[$DamageType::Shocklance, 5] = '\c0%4 assassinates %1 at close range with a shocklance.';
$DeathMessage[$DamageType::Shocklance, 6] = '\c0%4 zaps %1 with a shocklance.';

$DeathMessage[$DamageType::Mine, 0] = '\c0%4 kills %1 with a mine.';
$DeathMessage[$DamageType::Mine, 1] = '\c0%1 doesn\'t see %4\'s mine in time.';
$DeathMessage[$DamageType::Mine, 2] = '\c0%4 gets a sapper kill on %1.';
$DeathMessage[$DamageType::Mine, 3] = '\c0%1 puts %3 foot on %4\'s mine.';
$DeathMessage[$DamageType::Mine, 4] = '\c0One small step for %1, one giant mine kill for %4.';
$DeathMessage[$DamageType::Mine, 5] = '\c0%4 takes a leap from %4\'s mine.';
$DeathMessage[$DamageType::Mine, 6] = '\c0%4 takes fatal foot-damage from %4\'s mine.';

$DeathMessage[$DamageType::SatchelCharge, 0] = '\c0%4 buys %1 a ticket to the moon.';  //satchel charge only
$DeathMessage[$DamageType::SatchelCharge, 1] = '\c0%4 blows %1 into low orbit.';
$DeathMessage[$DamageType::SatchelCharge, 2] = '\c0%4 makes %1 a hugely explosive offer.';
$DeathMessage[$DamageType::SatchelCharge, 3] = '\c0%4 turns %1 into a cloud of satchel-vaporized armor.';
$DeathMessage[$DamageType::SatchelCharge, 4] = '\c0%4\'s satchel charge leaves %1 nothin\' but smokin\' boots.';
$DeathMessage[$DamageType::SatchelCharge, 5] = '\c0%4\'s satchel charge scatters %1\'s charred bits to the four winds.';
$DeathMessage[$DamageType::SatchelCharge, 6] = '\c0%1 wonders what that beep is just before %4\'s satchel detonates.';

$DeathMessage[$DamageType::Railgun, 0] = '\c0%4 nails %1 hard using a railgun.';
$DeathMessage[$DamageType::Railgun, 1] = '\c0%4 blows a big hole through %1 with a railgun.';
$DeathMessage[$DamageType::Railgun, 2] = '\c0%4 splatters %1 with a decisive railgun shot.';
$DeathMessage[$DamageType::Railgun, 3] = '\c0%4 blasts %1 to pieces with the railgun.';
$DeathMessage[$DamageType::Railgun, 4] = '\c0%4\'s railgun leaves %1 in a lifeless state.';
$DeathMessage[$DamageType::Railgun, 5] = '\c0%4\'s railgun drops %1 like a bad habit.';
$DeathMessage[$DamageType::Railgun, 6] = '\c0%1 find himself derailed by %4\'s railgun of whoop-ass.';

$DeathMessage[$DamageType::Torpedo, 0] = '\c0%4 obliterates %1 using a photon torpedo.';
$DeathMessage[$DamageType::Torpedo, 1] = '\c0%1 is introduced to the joys of anti-matter from %4\'s torpedo.';
$DeathMessage[$DamageType::Torpedo, 2] = '\c0%4 vaporizes %1 with a photon torpedo.';
$DeathMessage[$DamageType::Torpedo, 3] = '\c0%4 explodes %1 quite effectively with a torpedo.';
$DeathMessage[$DamageType::Torpedo, 4] = '\c0%4\'s photon torpedo blasts %1 into a million pieces.';
$DeathMessage[$DamageType::Torpedo, 5] = '\c0%4\'s torpedo rips %1 into charred bits.';
$DeathMessage[$DamageType::Torpedo, 6] = '\c0%1 is sunk by a torpedo fired by %4\'s launcher.';

$DeathMessage[$DamageType::Explosion, 0] = '\c0%4 obliterates %1.';
$DeathMessage[$DamageType::Explosion, 1] = '\c0%4 punctures %1.';
$DeathMessage[$DamageType::Explosion, 2] = '\c0%4 annihilates %1.';
$DeathMessage[$DamageType::Explosion, 3] = '\c0%4 destroys %1.';
$DeathMessage[$DamageType::Explosion, 4] = '\c0%4 kills %1.';
$DeathMessage[$DamageType::Explosion, 5] = '\c0%4 mutilates %1.';
$DeathMessage[$DamageType::Explosion, 6] = '\c0%4 splatters %1.';

$DeathMessage[$DamageType::Default, 0] = '\c0%4 obliterates %1.';
$DeathMessage[$DamageType::Default, 1] = '\c0%4 punctures %1.';
$DeathMessage[$DamageType::Default, 2] = '\c0%4 annihilates %1.';
$DeathMessage[$DamageType::Default, 3] = '\c0%4 destroys %1.';
$DeathMessage[$DamageType::Default, 4] = '\c0%4 kills %1.';
$DeathMessage[$DamageType::Default, 5] = '\c0%4 mutilates %1.';
$DeathMessage[$DamageType::Default, 6] = '\c0%4 splatters %1.';

$DeathMessage[$DamageType::Finger, 0] = '\c0%1 is destroyed by the godly finger.';
$DeathMessage[$DamageType::Finger, 1] = '\c0%1 is killed by the godly finger.';
$DeathMessage[$DamageType::Finger, 2] = '\c0%1 is splattered by the godly finger.';
$DeathMessage[$DamageType::Finger, 3] = '\c0%1 is squished by the godly finger.';
$DeathMessage[$DamageType::Finger, 4] = '\c0%1 is vaporized by the godly finger.';
$DeathMessage[$DamageType::Finger, 5] = '\c0%1 is annihilated by the godly finger.';
$DeathMessage[$DamageType::Finger, 6] = '\c0%1 is smashed by the godly finger.';



$DeathMessageHeadshotCount = 5;
$DeathMessageHeadshot[$DamageType::Laser, 0] = '\c0%4 drills right through %1\'s braincase with %6 laser.';
$DeathMessageHeadshot[$DamageType::Laser, 1] = '\c0%4 pops %1\'s head like a cheap balloon.';
$DeathMessageHeadshot[$DamageType::Laser, 2] = '\c0%1 loses %3 head over %4\'s laser skill.';
$DeathMessageHeadshot[$DamageType::Laser, 3] = '\c0%4\'s laser makes %1 decide that %3 brain is a terrible thing to waste.';
$DeathMessageHeadshot[$DamageType::Laser, 4] = '\c0%4\'s sniper shot blows %1\'s brain into vapor.';

 
//These used when a player is run over by a vehicle
$DeathMessageVehicleCount = 14;
$DeathMessageVehicle[0] = '\c0%4 runs down %1.';
$DeathMessageVehicle[1] = '\c0%1 acquires that run-down feeling from %4.';
$DeathMessageVehicle[2] = '\c0%4 transforms %1 into tribal roadkill.';
$DeathMessageVehicle[3] = '\c0%1 makes a painfully close examination of %4\'s front bumper.';
$DeathMessageVehicle[4] = '\c0%1\'s messy death leaves a mark on %4\'s vehicle finish.';
$DeathMessageVehicle[5] = '\c0%1 scratches %4\'s bumper.';
$DeathMessageVehicle[6] = '\c0%1 leaves a tiny dent on %4\'s vehicle.';
$DeathMessageVehicle[7] = '\c0%1 becomes yet another bug on %4\'s windshield.';
$DeathMessageVehicle[8] = '\c0%1 splatters all over the front of %4\'s vehicle.';
$DeathMessageVehicle[9] = '\c0%1 is decapitated by %4\'s vehicle.';
$DeathMessageVehicle[10] = '\c0%1 is flattened against the front of %4\'s vehicle.';
$DeathMessageVehicle[11] = '\c0%4 drives his vehicle through %1.';
$DeathMessageVehicle[12] = '\c0%1 fatally tries to body-block %4\'s vehicle.';
$DeathMessageVehicle[13] = '\c0%4\'s vehicle cuts %1 in half.';


$DeathMessageVehicleUnmannedCount = 4;
$DeathMessageVehicleUnmanned[0] = '\c0%1 gets in the way of a runaway vehicle.';
$DeathMessageVehicleUnmanned[1] = '\c0An unmanned vehicle kills the pathetic %1.';
$DeathMessageVehicleUnmanned[2] = '\c0%1 is struck down by an empty vehicle.';
$DeathMessageVehicleUnmanned[3] = '\c0%1 gets run-down by an uncontrolled vehicle.';

//These used when a player is killed by a nearby equipment explosion
$DeathMessageExplosionCount = 10;
$DeathMessageExplosion[0] = '\c0%1 was killed by exploding equipment!';
$DeathMessageExplosion[1] = '\c0%1 stood a little too close to the action!';
$DeathMessageExplosion[2] = '\c0%1 learns how to be collateral damage.';
$DeathMessageExplosion[3] = '\c0%1 dies in an equipment explosion.';
$DeathMessageExplosion[4] = '\c0%1 eats shrapnel from a nearby explosion.';
$DeathMessageExplosion[5] = '\c0%1 has a lesson in the nature of explosions.';
$DeathMessageExplosion[6] = '\c0%1 is blown to bits by a nearby explosion.';
$DeathMessageExplosion[7] = '\c0%1 gets blown up.';
$DeathMessageExplosion[8] = '\c0%1 is reduced to small bits by an explosion.';
$DeathMessageExplosion[9] = '\c0%1 tries to eat an explosion.';

//These used when an automated turret kills an  enemy player
$DeathMessageTurretKillCount = 3;
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 0] = '\c0%1 is killed by a plasma turret.';
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 1] = '\c0%1\'s body now marks the location of a plasma turret.';
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 2] = '\c0%1 is fried by a plasma turret.';

$DeathMessageTurretKill[$DamageType::AATurret, 0] = '\c0%1 is killed by an AA turret.';
$DeathMessageTurretKill[$DamageType::AATurret, 1] = '\c0%1 is shot down by an AA turret.';
$DeathMessageTurretKill[$DamageType::AATurret, 2] = '\c0%1 takes fatal flak from an AA turret.';

$DeathMessageTurretKill[$DamageType::ElfTurret, 0] = '\c0%1 is killed by an ELF turret.';
$DeathMessageTurretKill[$DamageType::ElfTurret, 1] = '\c0%1 is zapped by an ELF turret.';
$DeathMessageTurretKill[$DamageType::ElfTurret, 2] = '\c0%1 is short-circuited by an ELF turret.';

$DeathMessageTurretKill[$DamageType::MortarTurret, 0] = '\c0%1 is killed by a mortar turret.';
$DeathMessageTurretKill[$DamageType::MortarTurret, 1] = '\c0%1 enjoys a mortar turret\'s attention.';
$DeathMessageTurretKill[$DamageType::MortarTurret, 2] = '\c0%1 is blown to kibble by a mortar turret.';

$DeathMessageTurretKill[$DamageType::MissileTurret, 0] = '\c0%1 is killed by a missile turret.';
$DeathMessageTurretKill[$DamageType::MissileTurret, 1] = '\c0%1 is shot down by a missile turret.';
$DeathMessageTurretKill[$DamageType::MissileTurret, 2] = '\c0%1 is blown away by a missile turret.';

$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 is killed by a clamp turret.';
$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 1] = '\c0%1 gets burned by a clamp turret.';
$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 2] = '\c0A clamp turret eliminates %1.';

$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 0] = '\c0A spike turret neatly drills %1.';
$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 1] = '\c0%1 gets taken out by a spike turret.';
$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 2] = '\c0%1 dies under a spike turret\'s love.';

$DeathMessageTurretKill[$DamageType::SentryTurret, 0] = '\c0%1 didn\'t see that Sentry turret, but it saw %2...';
$DeathMessageTurretKill[$DamageType::SentryTurret, 1] = '\c0%1 needs to watch for Sentry turrets.';
$DeathMessageTurretKill[$DamageType::SentryTurret, 2] = '\c0%1 now understands how Sentry turrets work.';

$DeathMessageTurretKill[$DamageType::ChainTurret, 0] = '\c0%1 is shredded by a chaingun turret.';
$DeathMessageTurretKill[$DamageType::ChainTurret, 1] = '\c0%1 is ripped to pieces by a chaingun turret.';
$DeathMessageTurretKill[$DamageType::ChainTurret, 2] = '\c0%1 gets some nice new holes from a chaingun turret.';

$DeathMessageTurretKill[$DamageType::FlakTurret, 0] = '\c0%1 is blasted sky-high by a flak turret.';
$DeathMessageTurretKill[$DamageType::FlakTurret, 1] = '\c0%1 is shot down by a flak turret.';
$DeathMessageTurretKill[$DamageType::FlakTurret, 2] = '\c0%1 takes fatal flak from a flak turret.';

$DeathMessageTurretKill[$DamageType::Torpedo, 0] = '\c0%1 is blown apart by a torpedo turret.';
$DeathMessageTurretKill[$DamageType::Torpedo, 1] = '\c0%1 gets annihilated by a torpedo turret.';
$DeathMessageTurretKill[$DamageType::Torpedo, 2] = '\c0%1 is vaporized by a photon torpedo turret.';


//used when a player is killed by a teammate controlling a turret
$DeathMessageCTurretTeamKillCount = 1;	
$DeathMessageCTurretTeamKill[$DamageType::PlasmaTurret, 0] = '\c0%4 TEAMKILLED %1 with a plasma turret!';

$DeathMessageCTurretTeamKill[$DamageType::AATurret, 0] = '\c0%4 TEAMKILLED %1 with an AA turret!';

$DeathMessageCTurretTeamKill[$DamageType::ELFTurret, 0] = '\c0%4 TEAMKILLED %1 with an ELF turret!';

$DeathMessageCTurretTeamKill[$DamageType::MortarTurret, 0] = '\c0%4 TEAMKILLED %1 with a mortar turret!';

$DeathMessageCTurretTeamKill[$DamageType::MissileTurret, 0] = '\c0%4 TEAMKILLED %1 with a missile turret!';

$DeathMessageCTurretTeamKill[$DamageType::IndoorDepTurret, 0] = '\c0%4 TEAMKILLED %1 with a clamp turret!';

$DeathMessageCTurretTeamKill[$DamageType::OutdoorDepTurret, 0] = '\c0%4 TEAMKILLED %1 with a spike turret!';

$DeathMessageCTurretTeamKill[$DamageType::SentryTurret, 0] = '\c0%4 TEAMKILLED %1 with a sentry turret!';

$DeathMessageCTurretTeamKill[$DamageType::BomberBombs, 0] = '\c0%4 TEAMKILLED %1 in a bombastic explosion of raining death.';

$DeathMessageCTurretTeamKill[$DamageType::BellyTurret, 0] = '\c0%4 TEAMKILLED %1 by annihilating him from a belly turret.';

$DeathMessageCTurretTeamKill[$DamageType::TankChainGun, 0] = '\c0%4 TEAMKILLED %1 with his tank\'s chaingun.';

$DeathMessageCTurretTeamKill[$DamageType::TankMortar, 0] = '\c0%4 TEAMKILLED %1 by lobbing the BIG green death from a tank.'; 

$DeathMessageCTurretTeamKill[$DamageType::ShrikeBlaster, 0] = '\c0%4 TEAMKILLED %1 by strafing from a Shrike.';

$DeathMessageCTurretTeamKill[$DamageType::MPBMissile, 0] = '\c0%4 TEAMKILLED %1 when the MPB locked onto him.';

$DeathMessageCTurretTeamKill[$DamageType::ChainTurret, 0] = '\c0%4 TEAMKILLED %1 with a chaingun turret!';

$DeathMessageCTurretTeamKill[$DamageType::FlakTurret, 0] = '\c0%4 TEAMKILLED %1 with a flak turret!';

$DeathMessageCTurretTeamKill[$DamageType::Torpedo, 0] = '\c0%4 TEAMKILLED %1 with a torpedo turret!';

$DeathMessageCTurretTeamKill[$DamageType::Missile, 0] = '\c0%4 TEAMKILLED %1 with a plasma missile.';
 
$DeathMessageCTurretTeamKill[$DamageType::Bullet, 0] = '\c0%4 TEAMKILLED %1 with a chaingun emplacement.';

//used when a player is killed by an uncontrolled, friendly turret
$DeathMessageCTurretAccdtlKillCount = 1; 
$DeathMessageCTurretAccdtlKill[$DamageType::PlasmaTurret, 0] = '\c0%1 got in the way of a plasma turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::AATurret, 0] = '\c0%1 got in the way of an AA turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::ELFTurret, 0] = '\c0%1 got in the way of an ELF turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::MortarTurret, 0] = '\c0%1 got in the way of a mortar turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::MissileTurret, 0] = '\c0%1 got in the way of a missile turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 got in the way of a clamp turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::OutdoorDepTurret, 0] = '\c0%1 got in the way of a spike turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::SentryTurret, 0] = '\c0%1 got in the way of a Sentry turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::FlakTurret, 0] = '\c0%1 got in the way of a flak turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::ChainTurret, 0] = '\c0%1 got in the way of a chaingun turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::Torpedo, 0] = '\c0%1 got in the way of a torpedo launcher!';

$DeathMessageCTurretAccdtlKill[$DamageType::Railgun, 0] = '\c0%1 got in the way of a railgun cannon!';

$DeathMessageCTurretAccdtlKill[$DamageType::Missile, 0] = '\c0%1 got in the way of a plasma missile!';

$DeathMessageCTurretAccdtlKill[$DamageType::Bullet, 0] = '\c0%1 got in the way of a gatling gun!';
$DeathMessageCTurretAccdtlKill[$DamageType::HawkBullet, 0] = '\c0%1 got in the way of a gatling gun!';


//these messages for owned or controlled turrets
$DeathMessageCTurretKillCount = 4;
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 0] = '\c0%4 torches %1 with a plasma turret!'; 
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 1] = '\c0%4 fries %1 with a plasma turret!';
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 2] = '\c0%4 lights up %1 with a plasma turret!';
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 3] = '\c0%4 gives %1 a gigantic plasma transfusion with a turret!';

$DeathMessageCTurretKill[$DamageType::AATurret, 0] = '\c0%4 shoots down %1 with an AA turret.';
$DeathMessageCTurretKill[$DamageType::AATurret, 1] = '\c0%1 gets shot down by %1\'s AA turret.';
$DeathMessageCTurretKill[$DamageType::AATurret, 2] = '\c0%4 takes out %1 with an AA turret.';
$DeathMessageCTurretKill[$DamageType::AATurret, 3] = '\c0%4 punches big holes through %1 with an AA turret.';

$DeathMessageCTurretKill[$DamageType::ElfTurret, 0] = '\c0%1 gets zapped by ELF gunner %4.';
$DeathMessageCTurretKill[$DamageType::ElfTurret, 1] = '\c0%1 gets barbecued by ELF gunner %4.';
$DeathMessageCTurretKill[$DamageType::ElfTurret, 2] = '\c0%1 gets shocked by ELF gunner %4.';
$DeathMessageCTurretKill[$DamageType::ElfTurret, 3] = '\c0%1 gets roasted by ELF gunner %4.';

$DeathMessageCTurretKill[$DamageType::MortarTurret, 0] = '\c0%1 is annihilated by %4\'s mortar turret.';
$DeathMessageCTurretKill[$DamageType::MortarTurret, 1] = '\c0%1 is blown away by %4\'s mortar turret.';
$DeathMessageCTurretKill[$DamageType::MortarTurret, 2] = '\c0%1 is pureed by %4\'s mortar turret.';
$DeathMessageCTurretKill[$DamageType::MortarTurret, 3] = '\c0%1 gets a big blast out of %4\'s mortar turret.';

$DeathMessageCTurretKill[$DamageType::MissileTurret, 0] = '\c0%4 shows %1 a new world of pain with a missile turret.';
$DeathMessageCTurretKill[$DamageType::MissileTurret, 1] = '\c0%4 pops %1 with a missile turret.';
$DeathMessageCTurretKill[$DamageType::MissileTurret, 2] = '\c0%4\'s missile turret lights up %1\'s, uh, ex-life.';
$DeathMessageCTurretKill[$DamageType::MissileTurret, 3] = '\c0%1 takes a missile up the ass from %4\'s missile turret.';

$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 is chewed up and spat out by %4\'s clamp turret.';
$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 1] = '\c0%1 is knocked out by %4\'s clamp turret.';
$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 2] = '\c0%4\'s clamp turret drills %1 nicely.';
$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 3] = '\c0%4\'s clamp turret pings %1 to death.';

$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 0] = '\c0%1 is chewed up by %4\'s spike turret.';
$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 1] = '\c0%1 feels the burn from %4\'s spike turret.';
$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 2] = '\c0%1 is nailed by %4\'s spike turret.';
$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 3] = '\c0%1 is blasted by a spike turret from %4.';

$DeathMessageCTurretKill[$DamageType::SentryTurret, 0] = '\c0%4 caught %1 by surprise with a turret.';
$DeathMessageCTurretKill[$DamageType::SentryTurret, 1] = '\c0%4\'s turret took out %1.';
$DeathMessageCTurretKill[$DamageType::SentryTurret, 2] = '\c0%4 blasted %1 with a turret.';
$DeathMessageCTurretKill[$DamageType::SentryTurret, 3] = '\c0%4 aimed a sentry well, and shot %1.';

$DeathMessageCTurretKill[$DamageType::BomberBombs, 0] = '\c0%1 catches %4\'s bomb in both teeth.'; 
$DeathMessageCTurretKill[$DamageType::BomberBombs, 1] = '\c0%4 leaves %1 a smoking bomb crater.'; 
$DeathMessageCTurretKill[$DamageType::BomberBombs, 2] = '\c0%4 bombs %1 back to the 20th century.';
$DeathMessageCTurretKill[$DamageType::BomberBombs, 3] = '\c0%4 blows %1 to bits with bombs.';

$DeathMessageCTurretKill[$DamageType::BellyTurret, 0] = '\c0%1 eats a big helping of %4\'s belly turret bolt.';
$DeathMessageCTurretKill[$DamageType::BellyTurret, 1] = '\c0%4 plants a belly turret bolt in %1\'s belly.';
$DeathMessageCTurretKill[$DamageType::BellyTurret, 2] = '\c0%1 fails to evade %4\'s deft bomber strafing.';
$DeathMessageCTurretKill[$DamageType::BellyTurret, 3] = '\c0%1 skillfully jumps into the path of %4\'s bomber turret.';

$DeathMessageCTurretKill[$DamageType::TankChainGun, 0] = '\c0%1 enjoys the rich, metallic taste of %4\'s tank slug.';
$DeathMessageCTurretKill[$DamageType::TankChainGun, 1] = '\c0%4\'s tank chaingun plays sweet music all over %1.';
$DeathMessageCTurretKill[$DamageType::TankChainGun, 2] = '\c0%1 receives a stellar exit wound from %4\'s tank slug.';
$DeathMessageCTurretKill[$DamageType::TankChainGun, 3] = '\c0%1 is mowed down by a rain of tank slugs from %4.';

$DeathMessageCTurretKill[$DamageType::TankMortar, 0] = '\c0Whoops! %1 + %4\'s tank mortar = Dead %1.';
$DeathMessageCTurretKill[$DamageType::TankMortar, 1] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessageCTurretKill[$DamageType::TankMortar, 2] = '\c0%4\'s tank mortar has a blast with %1.';
$DeathMessageCTurretKill[$DamageType::TankMortar, 3] = '\c0%4\'s tank mortar explodes %1 dramatically.';

$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 0] = '\c0%1 lunches on a Shrike blaster sandwich, courtesy of %4.';
$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 1] = '\c0%4\'s Shrike blaster catches %1 with %3 pants down.';
$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 2] = '\c0%1 gets drilled big-time by %4\'s Shrike blaster.';
$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 3] = '\c0%1 is cut to pieces by %4\'s Shrike blaster.';

$DeathMessageCTurretKill[$DamageType::Missile, 0] = '\c0%1 lunches on a plasma missile sandwich, courtesy of %4.';
$DeathMessageCTurretKill[$DamageType::Missile, 1] = '\c0%4\'s plasma missile catches %1 with %3 pants down.';
$DeathMessageCTurretKill[$DamageType::Missile, 2] = '\c0%1 gets blown apart by %4\'s plasma missile.';
$DeathMessageCTurretKill[$DamageType::Missile, 3] = '\c0%1 is obliterated by %4\'s plasma missile.';

$DeathMessageCTurretKill[$DamageType::Bullet, 0] = '\c0%1 is shredded by %4\'s gatling gun.';
$DeathMessageCTurretKill[$DamageType::Bullet, 1] = '\c0%4\'s gatling rips %1 apart.';
$DeathMessageCTurretKill[$DamageType::Bullet, 2] = '\c0%1 gets drilled by %4\'s gatling cannon.';
$DeathMessageCTurretKill[$DamageType::Bullet, 3] = '\c0%1 is cut to pieces by %4\'s gatling gun.';

$DeathMessageCTurretKill[$DamageType::HawkBullet, 0] = '\c0%1 is shredded by %4\'s gatling gun.';
$DeathMessageCTurretKill[$DamageType::HawkBullet, 1] = '\c0%4\'s gatling rips %1 apart.';
$DeathMessageCTurretKill[$DamageType::HawkBullet, 2] = '\c0%1 gets drilled by %4\'s gatling cannon.';
$DeathMessageCTurretKill[$DamageType::HawkBullet, 3] = '\c0%1 is cut to pieces by %4\'s gatling gun.';

$DeathMessageCTurretKill[$DamageType::MPBMissile, 0] = '\c0%1 intersects nicely with %4\'s MPB Missile.';
$DeathMessageCTurretKill[$DamageType::MPBMissile, 1] = '\c0%4\'s MPB Missile makes armored chowder out of %1.';
$DeathMessageCTurretKill[$DamageType::MPBMissile, 2] = '\c0%1 has a brief, explosive fling with %4\'s MPB Missile.';
$DeathMessageCTurretKill[$DamageType::MPBMissile, 3] = '\c0%1 decides to both spit and swallow on %4\'s MPB Missile.';

$DeathMessageCTurretKill[$DamageType::ChainTurret, 0] = '\c0%1 is perforated by %4\'s chaingun turret.';
$DeathMessageCTurretKill[$DamageType::ChainTurret, 1] = '\c0%1 is ripped to shreds by %4\'s chaingun turret.';
$DeathMessageCTurretKill[$DamageType::ChainTurret, 2] = '\c0%1 is shredded by %4\'s chaingun turret.';
$DeathMessageCTurretKill[$DamageType::ChainTurret, 3] = '\c0%1 eats slugs from %4\'s chaingun turret.';

$DeathMessageCTurretKill[$DamageType::FlakTurret, 0] = '\c0%1 is blasted by %4\'s flak turret.';
$DeathMessageCTurretKill[$DamageType::FlakTurret, 1] = '\c0%1 is blown away by %4\'s flak turret.';
$DeathMessageCTurretKill[$DamageType::FlakTurret, 2] = '\c0%1 receives a big hole from %4\'s flak turret.';
$DeathMessageCTurretKill[$DamageType::FlakTurret, 3] = '\c0%1 is ripped a new one by %4\'s flak turret.';

$DeathMessageCTurretKill[$DamageType::Torpedo, 0] = '\c0%1 is exploded by %4\'s photon torpedo.';
$DeathMessageCTurretKill[$DamageType::Torpedo, 1] = '\c0%1 is vaporized by %4\'s torpedo launcher.';
$DeathMessageCTurretKill[$DamageType::Torpedo, 2] = '\c0%1 gets annihilated by %4\'s torpedo cannon.';
$DeathMessageCTurretKill[$DamageType::Torpedo, 3] = '\c0%1 sucks down a torpedo from %4\'s photon launcher.';

$DeathMessageTurretSelfKillCount = 5;
$DeathMessageTurretSelfKill[0] = '\c0%1 somehow kills %2self with a turret.';
$DeathMessageTurretSelfKill[1] = '\c0%1 apparently didn\'t know the turret was loaded.';
$DeathMessageTurretSelfKill[2] = '\c0%1 helps his team by killing himself with a turret.';
$DeathMessageTurretSelfKill[3] = '\c0%1 befriends his own turret.';
$DeathMessageTurretSelfKill[4] = '\c0%1 eats turret-fire by his own hand.';



